
/************************************
   name:Photoresistor
   function:  if you shine the photoresistor with a certain light intensity, you will see several LEDs light up.
   If you increase the light intensity, you will see more LEDs light up.
   When you place it in dark environment, all the LEDs will go out.
 *********************************************/
//File Originally Created by SunFounder:
//Email: support@sunfounder.com
//Website: www.sunfounder.com

//File Modified by Amy Verkler 2022

const int NbrLEDs = 8;//8 leds
const int ledPins[] = {2, 3,4,5,6,7,8,9};//8 leds attach to pin 5-12 respectively
const int photocellPin = A0;  //photoresistor attach to A0
int sensorValue = 0;        // value read from the sensor
int ledLevel = 0;           // sensor value converted into LED 'bars'

void setup()
{
  Serial.begin(9600);  // start serial port at 9600 bps:
  for (int led = 0; led < NbrLEDs; led++)
  {
    pinMode(ledPins[led], OUTPUT);// make all the LED pins outputs
  }
}

void loop()
{
  sensorValue = analogRead(photocellPin); //read the value of A0
  Serial.print("SensorValue: ");
  Serial.println(sensorValue); //Print the analog value of the photoresistor
  //ledLevel = map(sensorValue, 700, 1023, 0, NbrLEDs);  // map to the number of LEDs
  if (sensorValue>990) ledLevel=8;
  else if (sensorValue>970) ledLevel=7;
  else if (sensorValue>950) ledLevel=6;
  else if (sensorValue>900) ledLevel=5;
  else if (sensorValue>850) ledLevel=4;
  else if (sensorValue>800) ledLevel=3;
  else if (sensorValue>700) ledLevel=2;
  else if (sensorValue>600) ledLevel=1;
  else ledLevel=0;
  
    
  Serial.print("ledLevel: ");
  Serial.println(ledLevel);
  for (int led = 1; led <= NbrLEDs; led++)
  {
    if (led <= ledLevel ) //When led is smaller than ledLevel, run the following code.
    {
      digitalWrite(ledPins[led-1], HIGH);     // turn on pins less than the level
    }
    else
    {
      digitalWrite(ledPins[led-1], LOW);     // turn off pins higher than
    }
  }
}
